@import '../../../assets/styles/common.scss';

.widget {
  &-loader {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &-redirect {
    width: 60%;
    height: 50px;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;

    &:hover {
      cursor: pointer;
    }
  }

  &-background {
    height: 100%;
    background: white;
  }

  &-img {
    width: 50%;
    margin: 2% 0;
    min-width: 300px;
  }

  &-buy {
    min-width: 300px;
  
    &-container {
      display: flex;
      flex-direction: column;
      align-items: center;

      &-padded {
        @extend .widget-buy-container;
        padding: 16px;
      }
    }
  
    &-header {
      font-size: 1.5rem;
      color: $dashboard-buy-header;
      text-align: center;

      &-black {
        @extend .widget-buy-header;
        color: black;
      }
    }
  
    &-content {
      font-weight: bold;
      font-size: 2.5rem;
      color: $dashboard-buy-content;
      padding-bottom: 10px;
      text-align: center;
      
      &-bg {
        @extend .widget-buy-content;
        font-size: 2.7rem;
      }

      &-sm {
        @extend .widget-buy-content;
        font-size: 1.5rem;
      }
    }
  
    &-button {
      font-size: 1.2rem;
      width: 95%;
      height: 40px;
      color: white;
      background-color: $primary-app-color;
  
      &:hover {
      background: $primary-app-color-hover;
      }
    }
  }

  @media only screen and (max-width: 876px) {
    &-buy {
      width: 100%;

      &-button {
        width: 100%;
        height: 50px;
      }
    }
  }
}